//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
#include <inifiles.hpp>

#include "noparadlgs.h"
#include "global.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TNoParaDlg *NoParaDlg;
const AnsiString dlgtxt =
 "If you have created a paranoici nym with another nym manager, and used "
 "ESUB or HSUB, QSA can retrieve your mail from alt.anonymous.messages. "
 "However. I can't CREATE a nym for you at that nymserver. "
 "QSA creates nym reply-blocks that send the message direct from the nymserver to "
 "alt.anonymous.messages. In order to use the required ESUB or HSUB, the "
 "nymserver must be capable of handling that task. Paranoici "
 "can't, so unfortunately, I can't help you here. Sorry. Maybe in the future.";
//---------------------------------------------------------------------------

void __fastcall ReportParanoici(TForm *Owner)
{
   TNoParaDlg *noparadlg = new TNoParaDlg(Owner);
   noparadlg->ShowModal();
   delete noparadlg;
}
//---------------------------------------------------------------------------

__fastcall TNoParaDlg::TNoParaDlg(TComponent* Owner)
	: TForm(Owner)
{
   TIniFile *ini = new TIniFile(AppIni());
   AssignFont(Font, ini->ReadString("settings", "dialogfont", OptsDefDialogFont));
   delete ini;
   RichEdit1->Lines->Text = dlgtxt;
   RichEdit1->SelStart = 0;
   RichEdit1->Perform(EM_SCROLLCARET, 0, 0);
}
//---------------------------------------------------------------------------
