//---------------------------------------------------------------------------
#ifndef dbpackersH
#define dbpackersH
#include "qsadbs.h"
//---------------------------------------------------------------------------

void __fastcall PackDatabase(TForm *Owner);

class TDBPacker : public TObject
{
public:
   TForm *Owner;
   TStringList *Log;
   int fails, itemfails;
   __fastcall TDBPacker(TForm *Owner);
   __fastcall virtual ~TDBPacker();
   void __fastcall LogLAST(const AnsiString &msg);
   void __fastcall LogADD(const AnsiString &msg);
   bool __fastcall PackItem(TDBindex *frIndex, TDBindex *toIndex,
	  const AnsiString &key, int capfield = 0);
   void __fastcall DoPackItem(TDBindex *frIndex, TDBindex *toIndex,
	  const AnsiString &key, int capfield = 0);
   void __fastcall PackIndex(TDBindex *frParent, TDBindex *toParent,
	  const AnsiString &path, int capfield = 0);
   void __fastcall DoPackIndex(TDBindex *frParent, TDBindex *toParent,
	  const AnsiString &path, int capfield = 0);
   bool __fastcall PackDatabase();
};

//---------------------------------------------------------------------------
extern PACKAGE TDBPacker *DBPacker;
//---------------------------------------------------------------------------
#endif
